<?php



class TblblogcategoryentryMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogcategoryentryMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogcategoryentryPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogcategoryentryPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogcategoryentry');
		$tMap->setClassname('Tblblogcategoryentry');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('CE_CATEGORY', 'CeCategory', 'INTEGER', true, null);

		$tMap->addForeignPrimaryKey('CE_ENTRY', 'CeEntry', 'INTEGER' , 'tblblogentry', 'ENTRY_ID', true, null);

		$tMap->addColumn('CE_MODIFYDATE', 'CeModifydate', 'TIMESTAMP', true, null);

		$tMap->addColumn('CE_HIT', 'CeHit', 'INTEGER', true, null);

		$tMap->addColumn('CE_SCORE', 'CeScore', 'DOUBLE', true, null);

		$tMap->addColumn('CE_STATUS', 'CeStatus', 'TINYINT', true, null);

		$tMap->addColumn('CE_TYPE', 'CeType', 'TINYINT', true, null);

		$tMap->addForeignKey('CE_LINK', 'CeLink', 'INTEGER', 'tbldocument', 'DOC_ID', false, null);

		$tMap->addForeignKey('CE_LINK', 'CeLink', 'INTEGER', 'tblpresentation', 'PR_ID', false, null);

		$tMap->addColumn('CE_CREATOR', 'CeCreator', 'INTEGER', false, null);

		$tMap->addForeignKey('CE_SENDER', 'CeSender', 'INTEGER', 'tbluser', 'US_ID', false, null);

		$tMap->addColumn('CE_TITLE', 'CeTitle', 'VARCHAR', false, 255);

		$tMap->addColumn('CE_FILETYPE', 'CeFiletype', 'VARCHAR', false, 8);

		$tMap->addColumn('CE_THUMBNAIL', 'CeThumbnail', 'VARCHAR', false, 255);

	} 
} 